package com.qs.mp.admin.domain.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.qs.mp.admin.domain.Coupon;
import com.qs.mp.admin.domain.TicketBox;
import com.qs.mp.channel.domain.Channel;
import com.qs.mp.common.enums.CouponDiscountTypeEnum;
import com.qs.mp.common.enums.CouponDistributeTypeEnum;
import com.qs.mp.common.enums.CouponStatusEnum;
import com.qs.mp.common.enums.CouponTypeEnum;
import com.qs.mp.common.enums.CouponUseAreaEnum;
import java.util.Date;
import java.util.List;
import lombok.Data;

/**
 * @describe 用户优惠券实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@Data
public class UserCouponVO extends Coupon {

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.INPUT)
  private String id;

  /**
   * 核销码
   */
  @TableField("verify_code")
  private String verifyCode;

  /**
   * 使用订单ID
   */
  private String orderId;

  /**
   * 核销时间
   */
  private Date verifyTime;



}
